__author__ = "TobiasFochtmann"

APP_VERSION = "1.02"
APP_NAME = "Cashflow {}".format(APP_VERSION)

FMT_DATE = "%d.%m.%Y"
FMT_DATE_2 = "%d/%m/%Y"
FMT_DATE_3 = "%Y-%m-%d %H:%M:%S"
FMT_DATE_4 = "%d.%m.%y"

LBL_TREE_ROOT = "Total"

LBL_COL_WALLET = "Wallet"
LBL_COL_AMOUNT = "Amount"
LBL_COL_DATE = "Date"
LBL_COL_SRCDEST = "Sender/Recipient"
LBL_COL_IBAN = "IBAN"
LBL_COL_BIC = "BIC"
LBL_COL_CAT = "Category"
LBL_COL_FACTOR = "Factor"
LBL_COL_PURPOSE = "Purpose"
LBL_COL_COMMENT = "Comment"

LBL_DESC_WALLET = "Description"
LBL_NAME_CATEGORY = "Name"
LBL_TYPE_WALLET = "Wallet type"
LBL_FORMATINFO_WALLET = "Formatting info JSON"
LBL_PARENT_CATEGORY = "Parent category"
LBL_CONSIDER_WALLET = "Consider in bill of cost"
LBL_FIELD_COND = "Condition field"
LBL_FIELD_CONTAINS = "Contains"
LBL_FIELD_PARSE = "Parsing field"
LBL_FIELD_CATEGORY = "Category"
LBL_FIELD_REGEX = "Regular expression"

LBL_TOOL_ADDTA = "Add Transaction"
LBL_TOOL_IMPORTAS = "Import account statement"
LBL_TOOL_SHOWCFG = "Configuration"

LBL_NBPAGE_WALLET = "Wallets"
LBL_NBPAGE_CATEGORY = "Categories"
LBL_NBPAGE_RULE_SPLIT = "Rule split"
LBL_NBPAGE_RULE_CAT = "Rule category"

LBL_PERIOD_TOTAL = "Period Total:"
LBL_DATE_FROM = "From:"
LBL_DATE_TO = "To:"
LBL_WALLETSUM_CONSIDERED = "Considered"
LBL_WALLETSUM_NOTCONSIDERED = "Not Considered"
LBL_WALLETSUM_TOTAL = "Total"
LBL_MENU_APP = "App"
LBL_MENU_APP_CONFIG = "Configuration..."
LBL_MENU_TA_CREATE = "Add inverted transaction"
LBL_MENU_TA_COPY = "Copy transaction"
LBL_MENU_TA_INV = "Copy investment"
LBL_MENU_CREATE_RULE_CAT = "Create rule..."

DLG_TITLE_WALLET = "Wallet configuration"
DLG_TITLE_CATEGORY = "Category configuration"
DLG_TITLE_CATEGORY_DEL = "Delete category"
DLG_TITLE_SPLIT_ENTRY = "Missing amount value for splitting"
DLG_TITLE_EDIT_RULECAT = "Edit a category rule"
DLG_TITLE_SEL_WALLET = "Wallet selection"
DLG_TITLE_TA_DEL = "Delete Transaction"
DLG_TITLE_INV_DEL = "Delete Investment"
DLG_TITLE_RULECAT_DEL = "Delete category rule"
DLG_TITLE_RULESPLIT_DEL = "Delete split rule"
DLG_TITLE_COND_FIELD = "Condition field"
DLG_TITLE_COND_FIELD_CONTAINS = "Condition field contains"
DLG_TITLE_COND_CAT = "When condition Matches set the following category"
DLG_TITLE_SEPARATOR = "Set column separator"

DLG_MSG_COND_FIELD_CONTAINS = "Enter a value that the condition field must contain in order to match the rule"
DLG_MSG_COND_FIELD = "Choose a condition field to check for rule match"
DLG_MSG_TA_DEL = "Do you want to delete the selected transaction?"
DLG_MSG_INV_DEL = "Do you want to delete the selected investment?"
DLG_MSG_RULECAT_DEL = "Do you want to delete the selected category rule?"
DLG_MSG_RULESPLIT_DEL = "Do you want to delete the selected split rule?"
DLG_MSG_CAT_DEL = "Do you want to delete the selected category '{}'?"
DLG_MESSAGE_SEL_WALLET = "Choose a wallet for account statement to import"
DLG_MSG_SEPARATOR = "Set a column separator of your CSV-like account statement"

DLG_MESSAGE_SPLIT_ENTRY = "The split amount {} from {} and purpose {} could not be determined, please insert a value."

FILEDLG_MESSAGE_ACCOUNTSTATEMENT = "Choose an account statement file"

COL_THEME_1 = "#585858"
COL_THEME_2 = "#D8D8D8"
COL_THEME_3 = "#FFFFFF"
COL_THEME_4 = "#848484"
COL_THEME_5 = "#000000"
COL_THEME_6 = "#B40404"
